package com.waytous.anticollision.ui.view

import android.content.Context
import androidx.appcompat.app.AlertDialog
import com.waytous.anticollision.R
import com.waytous.anticollision.databinding.PopupReportStatusBinding
import razerdp.basepopup.BasePopupWindow

class ReportStatusPopup(context: Context?) : BasePopupWindow(context) {

    private  lateinit var binding: PopupReportStatusBinding
    init {
        contentView = createPopupById(R.layout.popup_report_status)
        binding = PopupReportStatusBinding.bind(contentView)
    }

    fun itemDumping(){

    }

    fun itemDelay(dialog:AlertDialog){
        binding.reportDialogDelay.setOnClickListener {
            dialog.show()
        }
    }

    fun itemFault(dialog:AlertDialog){
        binding.reportDialogFault.setOnClickListener {
            dialog.show()
        }
    }

    fun itemStandby(){

    }
}